Vue d'ensemble de l'outil de déploiement Web pour le Gestionnaire des services Internet

L'outil de déploiement Web (Web Deploy) synchronise des configurations IIS, du contenu, des certificats SSL et d'autres types de données d'un site ou serveur spécifié par l'utilisateur vers une destination également spécifiée par l'utilisateur. Vous pouvez également déployer des objets, tels que des clés de Registre, qui ne sont pas inclus par défaut.

Délégation du service de gestion

Dans IIS Manager, le déploiement Web ajoute une fonctionnalité réservée aux administrateurs au niveau du serveur. Intitulée Délégation du service de gestion, elle vous permet de contrôler de façon très précise les actions de déploiement que les utilisateurs distants peuvent entreprendre. Pour plus d'informations, consultez Page Délégation du service de gestion.

Exporter et importer des applications

À partir du volet Actions de IIS Manager, vous pouvez utiliser l'Assistant Exporter un package d'application pour créer des fichiers compressés (packages) contenant vos sites, applications et contenus. Pour plus d'informations, consultez Pages de l'Assistant Exporter un package d'application et Exporter un package serveur.

Une fois que vous avez exporté un package, vous pouvez utiliser l'Assistant Importer un package d'application pour installer son contenu en un autre emplacement. Pour plus d'informations, consultez Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site.

Fonctionnalités de ligne de commande

Le programme exécutable Msdeploy.exe de l'outil de déploiement Web propose de nombreuses et puissantes fonctionnalités de ligne de commande. Pour obtenir un récapitulatif des fonctionnalités de Msdeploy.exe, tapez msdeploy -help dans une fenêtre d'invite de commandes. Pour accéder à une aide en ligne plus détaillée, consultez Outil de déploiement Web (page éventuellement en anglais).

Autres ressources en ligne

IIS.NET : Outil de déploiement Web (page éventuellement en anglais)

IIS.NET : Forum de l'outil de déploiement Web (page éventuellement en anglais)

IIS.NET : Blog de l'équipe de déploiement Web Microsoft (page éventuellement en anglais)


Aide de l'interface utilisateur de l'outil de déploiement Web

Le IIS Manager fournit des descriptions de tous les éléments d'interface utilisateur dans chaque page de fonctionnalités, boîte de dialogue et page d'Assistant du IIS Manager. Pour afficher cette aide, appuyez sur la touche F1 dans la page de fonctionnalité, boîte de dialogue ou page d'Assistant active.

Dans cette section

Page Délégation du service de gestion

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Page Délégation du service de gestion

Utilisez la page Délégation du service de gestion pour spécifier les règles contrôlant les droits de déploiement des utilisateurs distants. La page Délégation du service de gestion est accessible aux seuls administrateurs et apparaît uniquement au niveau du serveur.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Fournisseur | Affiche le ou les fournisseurs auxquels la règle s'applique.
Chemin d'accès | Affiche le chemin d'accès auquel la règle s'applique.
Type de chemin | Affiche le type du chemin d'accès. Les valeurs possibles sont PathPrefix, StringPrefix, StringSuffix, ConnectionString et RegularExpression.
Actions | Affiche les actions entreprises par la règle. Pour les fournisseurs de déploiement Web, les valeurs classiques sont Lecture, Écriture et *.
Type d'identité | Affiche le type d'identité sous lequel la règle s'exécutera. Les valeurs possibles sont CurrentUser, ProcessIdentity et SpecificUser.
Nom d'utilisateur | Affiche le nom de l'utilisateur lorsque le type d'identité choisi est SpecificUser. Lorsque le type d'identité est CurrentUser ou ProcessIdentity, aucun nom d'utilisateur ne s'affiche.
État | Indique si la règle est activée ou désactivée. Pour activer ou désactiver une règle, cliquez sur Activer la règle ou sur Désactiver la règle dans le volet Actions.

Éléments du volet Actions

Nom de l'élément | Description
Ajouter une règle... | Ouvre la boîte de dialogue Ajouter une règle. Sélectionnez cette option pour ajouter une règle. Pour plus d'informations, consultez Boîte de dialogue Ajouter une règle (Délégation du service de gestion).
Ajouter un utilisateur à la règle… | Ouvre la boîte de dialogue Ajouter un utilisateur à la règle. Pour plus d'informations, consultez Boîte de dialogue Ajouter un utilisateur à la règle.
Modifier… | Ouvre la boîte de dialogue Modifier la règle. Pour plus d'informations, consultez Boîtes de dialogue Ajouter une règle ou Modifier la règle.
Supprimer | Supprime la règle de délégation sélectionnée ou l'utilisateur de la règle de délégation.
Désactiver la règle | Désactive la règle de délégation sélectionnée.
Activer la règle | Active la règle de délégation sélectionnée.
Modifier les paramètres de la fonctionnalité… | Ouvre la boîte de dialogue Modifier les paramètres de la fonctionnalité. Pour plus d'informations, consultez Boîte de dialogue Modifier les paramètres de la fonctionnalité (Délégation du service de gestion).


Boîte de dialogue Ajouter une règle (Délégation du service de gestion)
Voir aussi

Utilisez la boîte de dialogue Sélectionner un modèle de règle pour sélectionner un modèle permettant de créer une règle de délégation personnalisée. Vous pouvez choisir un modèle vide ou un modèle installé conçu pour des scénarios spécifiques.

Éléments de l'interface utilisateur

Modèles installés

Nom de l'élément Description

Règle vide

Crée une règle vide que vous pouvez personnaliser.

Déployer du contenu uniquement

Crée une règle permettant le déploiement de contenu. Cette règle permet à tout utilisateur autorisé du service de gestion Web (WMSvc) de publier du contenu vers un chemin pour lequel cet utilisateur dispose déjà d'une autorisation WMSvc. La règle peut être modifiée de façon à limiter l'accès à un chemin ou utilisateur spécifique. Cette règle utilise le fournisseur contentPath, qui synchronise le contenu du site Web. Pour plus d'informations, consultez Fournisseur contentPath de déploiement Web (page éventuellement en anglais).

Déployer des applications avec du contenu

Crée une règle permettant le déploiement d'applications. Ce modèle n'inclut pas de règle permettant de marquer un dossier en tant qu'application, mais il est souvent utilisé en association avec ce type de règle. Cette règle permet à tout utilisateur autorisé de WMSvc de publier une application vers un chemin pour lequel cet utilisateur dispose déjà d'une autorisation WMSvc. La règle peut être modifiée de façon à limiter l'accès à un chemin ou utilisateur spécifique. Cette règle utilise les fournisseurs contentPath et iisApp. Pour plus d'informations, consultez Fournisseur contentPath de déploiement Web (page éventuellement en anglais) et Fournisseur iisApp de déploiement Web (page éventuellement en anglais).

Déployer des bases de données

Crée une règle permettant le déploiement de bases de données. Cette règle permet à tout utilisateur autorisé de WMSvc de publier du contenu dans une base de données à laquelle il a accès. Le modèle spécifie que le compte utilisé est CurrentUser, ce qui signifie que la chaîne de connexion sera utilisée pour authentifier l'utilisateur sur le serveur de la base de données. La règle peut être modifiée de façon à limiter l'accès à un nom ou serveur de base de données spécifique. Cette règle utilise le fournisseur dbFullSql, ce qui autorise la toute première publication de bases de données à partir d'une base de données de développement SQL Server locale vers une base de données SQL Server hébergée à distance. Pour plus d'informations, consultez Fournisseur dbFullSql de déploiement Web (page éventuellement en anglais).

Marquer les dossiers en tant qu'applications

Crée une règle permettant de marquer un dossier en tant qu'application. Cette règle permet à tout utilisateur autorisé de WMSvc de marquer un dossier en tant qu'application. Si l'utilisateur n'est pas un administrateur, vous devez changer le type d'identité pour un compte disposant d'un accès en écriture au fichier ApplicationHost.config. Le type d'identité par défaut pour cette règle est SpecificUser. Cette règle utilise le fournisseur createApp, requis pour marquer des dossiers en tant qu'applications, et dont les fonctionnalités sont incluses dans le fournisseur iisApp. Pour plus d'informations, consultez Fournisseurs de déploiement Web (page éventuellement en anglais).

Définir des autorisations pour les applications

Crée une règle définissant des listes de contrôle d'accès (ACL) pour un chemin d'application. Cette règle permet à tout utilisateur autorisé de WMSvc de définir des listes de contrôle d'accès du système de fichiers pour un chemin d'accès d'application pour lequel l'utilisateur dispose déjà d'une autorisation WMSvc. Le modèle spécifie que le compte utilisé est CurrentUser, ce qui signifie que l'utilisateur doit disposer des autorisations requises pour pouvoir changer les listes de contrôle d'accès. La règle peut être modifiée de façon à limiter l'accès à un chemin ou utilisateur spécifique. Cette règle utilise le fournisseur setAcl, qui définit des autorisations sur un dossier de destination. Pour plus d'informations, consultez Fournisseur setAcl de déploiement Web (page éventuellement en anglais) .

Sauvegarder et restaurer des bases de données (en utilisant l'authentification SQL)

Crée une règle qui sauvegarde et restaure des bases de données par le biais de l'authentification SQL. Cette règle permet à tout utilisateur autorisé de WMSvc de créer ou de restaurer une sauvegarde de la base de données à laquelle cet utilisateur a déjà accès. Les opérations de sauvegarde et de restauration sont exécutées sous l'identité de l'utilisateur spécifique à l'aide de l'authentification SQL. La règle peut être modifiée de façon à limiter l'accès à une base de données spécifique ou à un ensemble d'utilisateurs donné.

Remarque
Utilisez ce modèle avec l'extension du Gestionnaire de bases de données IIS. Pour plus d'informations sur le Gestionnaire de bases de données IIS, consultez Gestionnaire de bases de données (page éventuellement en anglais).

Sauvegarder et restaurer des bases de données (en utilisant la sécurité intégrée de Windows)

Crée une règle qui sauvegarde et restaure des bases de données par le biais de l'authentification Windows. Cette règle permet à tout utilisateur autorisé de WMSvc de créer ou de restaurer une sauvegarde de la base de données à laquelle cet utilisateur a déjà accès. La règle peut être modifiée de façon à limiter l'accès à une base de données spécifique ou à un ensemble d'utilisateurs donné.

Remarque
Utilisez ce modèle avec l'extension du Gestionnaire de bases de données IIS. Pour plus d'informations sur le Gestionnaire de bases de données IIS, consultez Gestionnaire de bases de données (page éventuellement en anglais).

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site

Autres ressources

Fournisseurs de déploiement Web (page éventuellement en anglais)


Boîtes de dialogue Ajouter une règle ou Modifier la règle

Utilisez les boîtes de dialogue Ajouter une règle et Modifier la règle pour ajouter et modifier des règles de délégation.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Fournisseurs | Cliquez dans la liste déroulante pour sélectionner ou désélectionner les fournisseurs que vous souhaitez ajouter à la règle ou supprimer de celle-ci, puis cliquez sur la flèche de déroulement pour accepter les changements. Les fournisseurs s'affichent au sein d'une liste délimitée par des virgules. Pour plus d'informations sur les fournisseurs de déploiement Web, consultez Fournisseurs de déploiement Web (page éventuellement en anglais).
Actions | Cliquez dans la liste déroulante pour sélectionner ou désélectionner les actions que vous souhaitez ajouter à la règle ou supprimer de celle-ci, puis cliquez sur la flèche de déroulement pour accepter les changements. Les actions s'affichent au sein d'une liste délimitée par des virgules. Les valeurs classiques pour le déploiement Web sont Lecture, Écriture et *.
Type de chemin | Sélectionnez un type de chemin dans la liste déroulante. Les valeurs possibles sont PathPrefix, StringPrefix, StringSuffix, ConnectionString et RegularExpression. Pour plus d'informations sur les expressions régulières, consultez Expressions régulières.
Chemin d'accès | Tapez le chemin d'accès auquel la règle s'appliquera.
Type d'identité | Sélectionnez le type d'identité de la règle dans la liste déroulante. L'identité sélectionnée exécutera la règle. Les valeurs possibles sont CurrentUser, ProcessIdentity et SpecificUser. CurrentUser indique que l'identité de l'utilisateur actuel est utilisée. ProcessIdentity indique que l'identité du service local WMSvc est utilisée. SpecificUser indique qu'une identité spéciale désignée par vous est utilisée. Si vous sélectionnez SpecificUser, vous devez fournir les informations d'identification par le biais du bouton Spécifier les informations d'identification Définir.
Spécifier les informations d'identification | Active le bouton Définir lorsque vous sélectionnez le type d'identité SpecificUser.
Définir | Ouvre la boîte de dialogue Définir les informations d'identification qui vous permet de spécifier un nom d'utilisateur et un mot de passe pour l'identité SpecificUser. Pour plus d'informations, consultez Boîte de dialogue Définir les informations d'identification.


Boîte de dialogue Définir les informations d'identification

Utilisez la boîte de dialogue Définir les informations d'identification pour fournir un nom et un mot de passe à un utilisateur Windows qui exécutera la règle.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Nom d'utilisateur | Tapez le nom d'un utilisateur Windows.
Mot de passe | Tapez le mot de passe.
Confirmer le mot de passe | Tapez de nouveau le mot de passe pour le confirmer.

Voir aussi

Concepts

Boîtes de dialogue Ajouter une règle ou Modifier la règle


Boîte de dialogue Ajouter un utilisateur à la règle

Utilisez la boîte de dialogue Ajouter un utilisateur à la règle pour accorder ou refuser l'accès à une règle à un utilisateur.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Nom | Tapez le nom de l'utilisateur.
Type d'accès | Sélectionnez le type d'accès à accorder à l'utilisateur spécifié. Les valeurs possibles sont Autoriser et Refuser.
Est un rôle ? | Activez cette case à cocher si le nom de l'utilisateur que vous avez spécifié est l'alias d'un groupe d'utilisateurs auquel l'accès est accordé ou refusé.


Boîte de dialogue Modifier les paramètres de la fonctionnalité (Délégation du service de gestion)

Utilisez la boîte de dialogue Modifier les paramètres de la fonctionnalité pour permettre aux administrateurs d'ignorer les règles de délégation et d'activer la journalisation des demandes ayant échoué.

Éléments de l'interface utilisateur

Nom de l'élément Description

Autoriser les administrateurs à ignorer les règles

Sélectionnez cette option pour permettre aux administrateurs d'ignorer les règles de délégation spécifiées.

Activer les journaux de suivi des demandes ayant échoué pour le service de délégation

Sélectionnez cette option pour activer la journalisation des informations des demandes ayant échoué.

Avertissement
Pour utiliser cette fonctionnalité, le module de suivi des demandes ayant échoué doit être installé.


Pages de l'Assistant Exporter un package d'application et Exporter un package serveur

Page Sélectionner le contenu du package

Page Sélectionner les paramètres

Page Enregistrer le package

Boîte de dialogue Mot de passe de chiffrement

Page Progression de l'exportation et résumé


Page Sélectionner le contenu du package

Utilisez la page Sélectionner le contenu du package de l'Assistant Exporter un package d'application pour afficher les composants inclus dans le package à créer.

Les packages peuvent contenir des composants tels que des paramètres du Registre, des objets COM, des assemblys du GAC ou des certificats. Pour installer ces composants sur votre serveur, vous devez être membre du groupe Administrateurs ou disposer de l'autorité appropriée. Il n'est pas nécessaire de disposer des droits d'utilisateur administrateur pour installer uniquement du contenu.

Éléments de l'interface utilisateur

Nom de l'élément Description

Contenu du package

Répertorie les composants inclus dans le package. Vous pouvez spécifier les composants que vous souhaitez inclure dans le package en activant ou désactivant les cases à cocher appropriées. Par exemple, vous pouvez inclure ou exclure une base de données SQL ou un assembly du GAC en activant ou en désactivant la case à cocher correspondante.

Attention
Certains composants peuvent être requis par l'application. Si vous désactivez les cases à cocher de ces composants, l'application risque de ne pas fonctionner correctement après installation.

Attributs

Affiche, dans le volet de droite, les attributs du fichier, répertoire ou composant sélectionné. Ces valeurs sont en lecture seule.

Gérer les composants...

Ouvre la boîte de dialogue Gérer les composants. Cette dernière vous permet de sélectionner les composants que vous souhaitez inclure. Pour plus d'informations, consultez Boîte de dialogue Gérer les composants.

Paramètres avancés…

Ouvre la boîte de dialogue Paramètres avancés. Vous pouvez ainsi spécifier les paramètres et règles de l'opération. Pour plus d'informations, consultez Boîte de dialogue Paramètres avancés (Exporter).

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur

Autres ressources

Exporter un package via le Gestionnaire des services Internet (ressource en ligne) (page éventuellement en anglais)


Boîte de dialogue Gérer les composants

Utilisez la boîte de dialogue Gérer les composants de l'Assistant Exporter un package d'application pour ajouter des composants, tels que des objets COM ou des assemblys du GAC, à votre package.

Éléments de l'interface utilisateur

En-têtes de colonne

Nom de l'élément Description

Nom du fournisseur

Spécifie le composant que vous souhaitez ajouter au package. Chaque composant dispose d'un fournisseur. Cliquez dans le champ pour utiliser la liste déroulante afin de sélectionner le nom d'un fournisseur. Pointez sur un nom de façon à obtenir une description du fournisseur correspondant. Ainsi, si vous sélectionnez dbFullSql, vous ajoutez au package le chemin d'accès d'un script ou d'une chaîne de connexion. Pour plus d'informations sur les fournisseurs, consultez Fournisseurs de déploiement Web (page éventuellement en anglais).

Important
Si vous travaillez sur un site Web, le fournisseur iisApp (sélectionné par défaut) marque ce site en tant qu'application sur la destination. Si vous souhaitez regrouper un site Web et toute la configuration qui lui est liée (telle que le nom du pool d'applications, l'emplacement du répertoire de contenu, ainsi que les éventuels certificats), utilisez le fournisseur appHostConfig. Si vous utilisez le fournisseur iisApp, le site Web devient une application sur la destination, qui hérite tous ses paramètres (tels que le nom du pool d'applications et le répertoire de contenu) du site au sein duquel il est installé.

Chemin d'accès

Spécifie le chemin d'accès du composant fournissant les données du package. Ainsi, si vous sélectionnez dbFullSql, le chemin d'accès peut spécifier un script, tel que C:\SQLfiles\installSQL.sql, ou une chaîne de connexion, telle que Data Source=.\sqlexpress;Integrated Security=SSPI;Initial Catalog=db1.

Paramètres du fournisseur

Spécifie les paramètres que vous souhaitez utiliser pour le fournisseur sélectionné. Cliquez dans le champ pour utiliser le bouton Parcourir (…) afin d'ouvrir la boîte de dialogue Paramètres du fournisseur. Pour plus d'informations, consultez Boîte de dialogue Paramètres du fournisseur.

Boutons

Nom de l'élément | Description
Supprimer | Supprime l'entrée sélectionnée.
Monter | Déplace la ligne sélectionnée vers le haut dans la liste. Les entrées sont installées dans leur ordre d'apparition dans la liste. L'ordre des entrées est important pour certains fournisseurs. Ainsi, un script de création de table doit être exécuté avant un script de renseignement de table.
Descendre | Déplace la ligne sélectionnée vers le bas dans la liste. Les entrées sont installées dans leur ordre d'apparition dans la liste.

Voir aussi

Concepts

Page Sélectionner le contenu du package
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Paramètres du fournisseur

Utilisez la boîte de dialogue Paramètres du fournisseur pour spécifier des paramètres pour le fournisseur sélectionné. Tous les fournisseurs ne disposent pas de paramètres.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Nom du paramètre | Affiche le nom du paramètre pour le fournisseur sélectionné. Seuls les paramètres ayant un rapport avec le fournisseur sélectionné sont répertoriés.
Valeur du paramètre | Tapez ou sélectionnez la valeur du paramètre. Si une liste déroulante est disponible, les valeurs possibles pour le paramètre figurent dans cette liste. Pour les valeurs que vous devez taper, la zone de description fournit des informations sur les valeurs acceptables.
Description du paramètre | Affiche une description du paramètre sélectionné pour le fournisseur. Fournit des informations sur les valeurs autorisées pour le paramètre.

Voir aussi

Concepts

Boîte de dialogue Gérer les composants
Page Sélectionner le contenu du package
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur

Autres ressources

Paramètres des fournisseurs de déploiement Web (page éventuellement en anglais)


Boîte de dialogue Paramètres avancés (Exporter)

Utilisez la boîte de dialogue Paramètres avancés de l'Assistant Exporter un package d'application pour spécifier les paramètres de votre package.

Éléments de l'interface utilisateur

Options avancées

Nom de l'élément Description

Chiffrer le mot de passe

Cliquez sur les points de suspension (…) pour ouvrir la boîte de dialogue Mot de passe de chiffrement afin de spécifier un mot de passe alphanumérique permettant de contrôler l'accès aux propriétés chiffrées de la configuration IIS.

Le déploiement Web détecte automatiquement si un objet chiffré, tel qu'un pool d'applications disposant d'une identité personnalisée, figure dans les fichiers de configuration au niveau du serveur (par exemple, ApplicationHost.config ou Machine.config). Si un objet chiffré est détecté, vous devez fournir un mot de passe pour l'objet. Si vous ne donnez pas le mot de passe approprié, l'opération d'exportation échoue.

Important
Le déploiement Web ne vérifie pas les fichiers Web.config des objets chiffrés.

Inclure les listes ACL

Sélectionnez Vrai si les listes ACL du chemin d'accès que vous spécifiez doivent être copiées de la source vers la destination. Autrement, sélectionnez Faux. Ce paramètre s'applique au système de fichiers, au Registre et à la métabase, ainsi qu'aux fournisseurs suivants uniquement : appHostConfig, contentPath, iisApp, metaKey, webServer et webServer60. La valeur par défaut est Faux.

Extension de lien

Cliquez dans le champ de droite, puis cliquez sur la flèche afin d'afficher la liste déroulante des extensions de liens. Dans cette liste, sélectionnez ou désélectionnez les extensions afin de les activer ou de les désactiver pour l'opération. Les extensions de liens incluent ou excluent des types spécifiques de données dans le cadre d'une opération. Les extensions de déploiement Web disponibles sont AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension et HttpCertConfigExtension. Ces extensions sont sélectionnées par défaut. Pour plus d'informations sur les extensions de liens, consultez Extensions de liens de déploiement Web (page éventuellement en anglais).

Nouvelles tentatives

Indiquez le nombre de tentatives que le fournisseur doit mettre en œuvre après un échec. Le nombre par défaut est 5. Par défaut, un délai d'une seconde s'écoule entre chaque nouvelle tentative. Le paramètre des nouvelles tentatives peut uniquement être utilisé avec le fournisseur contentPath.

Intervalle avant nouvelle tentative

Tapez une valeur en millisecondes. Cette valeur indique l'intervalle de temps qui s'écoule entre chaque nouvelle tentative du fournisseur. La valeur par défaut est 1 000 (une seconde). Ce paramètre peut uniquement être utilisé avec le fournisseur contentPath.

Niveau de suivi

Sélectionnez une valeur dans la liste déroulante spécifiant le niveau de détail des journaux de messages d'erreur. Les valeurs possibles sont Off, Erreur, Avertissement, Info et Commentaires. La valeur par défaut est Info. Off signifie qu'aucun message d'erreur n'est consigné. Commentaires signifie que tous les messages d'erreur sont consignés.

Options de synchronisation

Nom de l'élément Description

Règles

Ouvre la boîte de dialogue Activer ou désactiver les règles qui vous permet de spécifier des règles pour l'opération. Pour plus d'informations, consultez Boîte de dialogue Activer ou désactiver les règles.

WhatIf

Cliquez dans la liste déroulante pour sélectionner True ou False. True indique que l'opération sera lancée sans qu'aucun changement ne soit apporté. Vous pouvez utiliser ce paramètre pour visualiser les résultats d'une opération si toutes les parties de cette opération réussissent. La valeur par défaut est False.

Remarque
Une commande qui semble avoir fonctionné sans problème avec le paramètre WhatIf peut échouer lorsqu'elle est exécutée sans le paramètre WhatIf. Ceci peut arriver si des erreurs inattendues se produisent au cours de l'opération. Par exemple, si aucune donné n'est inscrite lors d'une opération WhatIf, aucune erreur d'autorisation d'écriture n'est détectée. Le paramètre WhatIf indique uniquement ce qui se passe si toutes les opérations de la commande réussissent.

Voir aussi

Concepts

Page Sélectionner le contenu du package
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Activer ou désactiver les règles

Utilisez la boîte de dialogue Activer ou désactiver les règles pour activer ou désactiver les règles affectant le résultat d'une opération de synchronisation. Sélectionnez État dans la liste déroulante Regrouper par pour regrouper des règles en catégories activées et désactivées, ou Aucun regroupement pour consulter les règles par ordre alphabétique.

Éléments de l'interface utilisateur

En-têtes de colonne

Nom de l'élément | Description
Nom | Répertorie les noms des règles de synchronisation que vous pouvez activer ou désactiver. Les règles apparaissant en gras sont activées par défaut, tandis que celles qui sont ombrées sont désactivées par défaut. Pour activer ou désactiver une règle, sélectionnez-la, puis utilisez le bouton Activer la règle ou Désactiver la règle. Pour plus d'informations sur les règles, consultez Règles de déploiement Web (page éventuellement en anglais).

Boutons

Nom de l'élément | Description
Activer la règle | Active la règle sélectionnée.
Désactiver la règle | Désactive la règle sélectionnée.

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur
Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Page Sélectionner les paramètres

Utilisez la page Sélectionner les paramètres de l'Assistant Exporter un package d'application pour ajouter des paramètres à votre package ou en supprimer. Vous pouvez affecter un paramètre à un attribut lorsque vous créez le package. Ensuite, lorsque le package est installé, l'utilisateur peut spécifier une valeur personnalisée pour le paramètre et cette nouvelle valeur est affectée à l'attribut. Les paramètres sont automatiquement générés pour chaque fournisseur.

Éléments de l'interface utilisateur

En-têtes de colonne

Nom de l'élément | Description
Nom | Répertorie les noms des paramètres que vous avez ajoutés à l'aide de la boîte de dialogue Ajouter un paramètre. Vous pouvez modifier un paramètre. Pour cela, double-cliquez dessus ou sélectionnez-le, puis cliquez sur Modifier.
Type | Affiche le type de paramètre de l'attribut à paramétrer.
Étendue | Affiche l'étendue de l'attribut à paramétrer.
Correspondance | Affiche l'expression correspondante qui identifiera l'attribut à paramétrer.

Boutons

Nom de l'élément Description

Ajouter un paramètre

Ouvre la boîte de dialogue Ajouter un paramètre. Vous pouvez ainsi ajouter un paramètre et lui définir des propriétés. Pour plus d'informations, consultez Boîte de dialogue Ajouter un paramètre ou Modifier le paramètre.

Ajouter une entrée de paramètre

Ouvre la boîte de dialogue Ajouter une entrée de paramètre. Vous pouvez ainsi configurer les valeurs Type, Étendue et Correspondance du paramètre sélectionné. Pour plus d'informations, consultez Boîte de dialogue Ajouter une entrée de paramètre. Cette option est activée lorsque vous sélectionnez un paramètre ou une entrée de paramètre.

Modifier

Si un paramètre est sélectionné, ce bouton ouvre la boîte de dialogue Modifier le paramètre. Vous pouvez ainsi modifier les propriétés d'un paramètre existant. Pour plus d'informations, consultez Boîte de dialogue Ajouter un paramètre ou Modifier le paramètre.

Si une entrée de paramètre est sélectionnée, ce bouton ouvre la boîte de dialogue Modifier l'entrée de paramètre. Pour plus d'informations, consultez Boîte de dialogue Modifier l'entrée de paramètre.

Supprimer

Supprime le paramètre sélectionné.

Monter

Déplace le paramètre sélectionné vers le haut dans la liste. Les paramètres sont traités dans leur ordre d'apparition dans la liste.

Descendre

Déplace le paramètre sélectionné vers le bas dans la liste. Les paramètres sont traités dans leur ordre d'apparition dans la liste.

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Ajouter un paramètre ou Modifier le paramètre

Utilisez la boîte de dialogue Ajouter un paramètre ou Modifier le paramètre pour ajouter un nouveau paramètre au package d'application ou modifier un paramètre existant.

Éléments de l'interface utilisateur

Nom de l'élément Description

Nom

Tapez un nom pour votre paramètre. Par exemple, Chaîne de connexion.

Valeur par défaut

Tapez une valeur par défaut pour le paramètre. Lorsque le package est déployé ultérieurement, le paramètre possède cette valeur, sauf si l'utilisateur en spécifie une autre. Par exemple, si vous avez tapé Chaîne de connexion en tant que nom du paramètre, vous pouvez utiliser Data Source=.\SQLExpress;Database=Test;Integrated Security en tant que valeur par défaut. Cette entrée n'est pas obligatoire.

Important
Si vous voulez que l'utilisateur fournisse une valeur pour le paramètre, n'indiquez pas de valeur par défaut.

Balises

Tapez une liste délimitée par des virgules d'attributs personnalisés. Les balises sont des attributs facultatifs du paramètre, qui peuvent être référencés ultérieurement. Ainsi, votre paramètre peut être balisé en tant que mot de passe de façon à ce qu'une interface utilisateur n'affiche pas la valeur de ce mot de passe. Cette entrée n'est pas obligatoire. Si l'on reprend l'exemple de la description de l'élément Valeur par défaut, vous pouvez utiliser les balises SQL, SQLConnectionString pour le paramètre Chaîne de connexion.

Description

Entrez une description pour votre paramètre. Par exemple, « Il s'agit de la chaîne de connexion de la base de données utilisée par votre application. Vous pouvez la changer si votre environnement dispose d'un autre serveur SQL ou d'une autre base de données. » La description est placée dans le fichier Parameters.xml à l'intérieur du package et peut être affichée à l'invite de commande lorsque vous tapez msdeploy -verb:getParameters -source:package=<NomFichierPackage>.

Type

Vous pouvez si vous le souhaitez sélectionner un type de validation du paramètre. Les valeurs possibles sont Aucun, Expression régulière, Énumération ou Booléen. La valeur par défaut est Aucun. Si vous sélectionnez un type de validation du paramètre autre que Aucun, la valeur que l'utilisateur fournit pour le paramètre doit être vérifiée pour voir si elle répond aux conditions que vous avez spécifiées. Si vous sélectionnez Expression régulière ou Énumération, vous devez fournir une chaîne de validation dans la zone Chaîne de validation.

Chaîne de validation

Tapez une expression régulière ou une liste délimitée par des virgules de valeurs d'énumération. Pour plus d'informations sur les expressions régulières, consultez Expressions régulières (page éventuellement en anglais).

Voir aussi

Concepts

Page Sélectionner les paramètres
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Ajouter une entrée de paramètre

Utilisez la boîte de dialogue Ajouter une entrée de paramètre pour spécifier les valeurs Type, Étendue et Correspondance de votre paramètre.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Type | Utilisez la liste déroulante afin de sélectionner le type de paramètre à utiliser pour l'attribut à paramétrer. Les types de paramètres possibles sont Fichier XML, Fichier texte, Position du fichier texte, Chemin d'accès du fournisseur, Attribut de déploiement, Liaison de destination et Répertoire virtuel de destination. Par exemple, si vous avez créé un paramètre Chaîne de connexion, vous pouvez sélectionner Fichier XML dans la liste déroulante car la chaîne de connexion sera située dans un fichier Web.config, qui est au format XML.
Étendue | Entrez une étendue pour l'attribut à paramétrer. Cette valeur est une expression régulière obligatoire. Ainsi, si le type de paramètre est Xml File, vous pouvez utiliser l'expression régulière \\web.config$ pour l'étendue. La première barre oblique inverse protège la deuxième et le signe du dollar ($) arrête la chaîne de correspondance à la fin de la ligne. De cette façon, "\web.config" constitue l'étendue obtenue. Pour plus d'informations sur les expressions régulières, consultez Expressions régulières.
Correspondance | Tapez une expression qui identifiera l'attribut à paramétrer. Cette valeur dépend du type. Dans certains cas, il s'agira d'une expression régulière ou d'une expression XPath. Le type Xml File requiert que la valeur de correspondance soit une expression XPath. Pour poursuivre l'exemple précédent, vous pouvez utiliser l'expression XPath //connectionStrings/add/@connectionString pour faire correspondre la chaîne de connexion dans un fichier Web.config.

Voir aussi

Concepts

Page Sélectionner les paramètres
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Modifier l'entrée de paramètre

Utilisez la boîte de dialogue Modifier l'entrée de paramètre pour modifier les valeurs Type, Étendue et Correspondance de votre paramètre. Si vous n'avez pas encore créé de paramètre, consultez Boîte de dialogue Ajouter un paramètre ou Modifier le paramètre.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Type | Utilisez la liste déroulante pour changer le type du paramètre. Les types de paramètres possibles sont Fichier XML, Fichier texte, Position du fichier texte, Chemin d'accès du fournisseur, Attribut de déploiement, Liaison de destination et Répertoire virtuel de destination. Par exemple, si vous avez créé un paramètre Chaîne de connexion, vous pouvez sélectionner Fichier XML dans la liste déroulante car la chaîne de connexion sera située dans un fichier Web.config, qui est au format XML.
Étendue | Modifiez une étendue pour l'attribut à paramétrer. Cette valeur est une expression régulière obligatoire. Ainsi, si le type de paramètre est Fichier XML, vous pouvez utiliser l'expression régulière \\web.config$ pour l'étendue. La première barre oblique inverse protège la deuxième et le signe du dollar ($) arrête la chaîne de correspondance à la fin de la ligne. De cette façon, "\web.config" constitue l'étendue obtenue. Pour plus d'informations sur les expressions régulières, consultez Expressions régulières.
Correspondance | Modifiez l'expression qui identifiera l'attribut à paramétrer. Cette valeur dépend du type. Dans certains cas, il s'agira d'une expression régulière ou d'une expression XPath. Le type Xml File requiert que la valeur de correspondance soit une expression XPath. Pour poursuivre l'exemple précédent, vous pouvez utiliser l'expression XPath //connectionStrings/add/@connectionString pour faire correspondre la chaîne de connexion dans un fichier Web.config.

Voir aussi

Concepts

Page Sélectionner les paramètres
Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Page Enregistrer le package

Utilisez la page Enregistrer le package de l'Assistant Exporter un package d'application pour indiquer un nom de fichier et un emplacement à utiliser lors de l'enregistrement du package.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Chemin d'accès du package | Tapez un nom de fichier pour votre package. Ce nom doit comporter l'extension .zip.
Parcourir… | Cliquez sur le bouton Parcourir pour spécifier l'emplacement souhaité pour l'enregistrement du package.

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Boîte de dialogue Mot de passe de chiffrement

Utilisez la boîte de dialogue Chiffrer le mot de passe de l'Assistant Exporter un package d'application pour fournir un mot de passe au contenu du package disposant de paramètres marqués comme sécurisés.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Mot de passe | Tapez le mot de passe requis pour l'importation ultérieure du package. Si vous ne fournissez pas un mot de passe pour les paramètres marqués comme sécurisés, vous ne pourrez pas exporter le package.
Confirmer le mot de passe | Tapez de nouveau le mot de passe pour le confirmer.

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Page Progression de l'exportation et résumé

Utilisez la page Progression de l'exportation et résumé de l'Assistant Exporter une application pour contrôler l'état du processus d'exportation et afficher un résumé, ainsi que des informations détaillées sur l'opération une fois l'Assistant terminé.

Éléments de l'interface utilisateur

Nom de l'élément Description

État

La zone État affiche l'opération en cours d'exécution (par exemple, une copie de fichiers ou une opération de script de base de données). Au cours du processus d'exportation, vous pouvez être invité à entrer un mot de passe si l'application contient des éléments tels que des mots de passe ou des certificats exigeant un chiffrement. Sachez que l'opération d'exportation peut être longue si le nombre de données est élevé ou si vous exportez des données vers un serveur distant.

Résumé

Propose une vue d'ensemble des actions qui ont été effectuées, y compris les éventuelles erreurs survenues au cours du processus de création.

Important
L'onglet Résumé ne contient pas la liste exhaustive des actions réalisées ou des erreurs survenues. Vous trouverez des informations plus détaillées dans l'onglet Détails.

Détails

Fournit la liste détaillée des actions effectuées. Si des erreurs ont eu lieu, le fait de cliquer sur cet onglet permet d'accéder aux informations correspondantes que vous pouvez utiliser dans un objectif de dépannage.

Voir aussi

Concepts

Pages de l'Assistant Exporter un package d'application et Exporter un package serveur


Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site

Page Sélectionner le package

Boîte de dialogue Mot de passe de déchiffrement

Page Sélectionner le contenu du package

Boîte de dialogue Paramètres avancés (Importer)

Page Sélectionner la base de données

Page Entrer les informations sur le package d'application

Page Remplacer les fichiers existants

Page Progression de l'installation et résumé


Page Sélectionner le package

Utilisez la page Sélectionner le package pour sélectionner un package existant à installer sur votre site ou serveur.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Chemin d'accès du package | Spécifie l'emplacement du package à installer sur le site ou serveur.
Parcourir… | Cliquez sur le bouton Parcourir pour spécifier l'emplacement du package à importer.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Boîte de dialogue Mot de passe de déchiffrement

Utilisez la boîte de dialogue Mot de passe de déchiffrement de l'Assistant Importer un package d'application afin de fournir un mot de passe pour le contenu du package assorti de paramètres marqués comme sécurisés.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Mot de passe | Tapez le mot de passe requis pour déchiffrer le contenu du package. Un mot de passe est demandé car certains paramètres ont été marqués comme sécurisés lors de la création du package. Si vous ne fournissez pas le mot de passe approprié, vous ne pourrez pas importer le package.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Page Sélectionner le contenu du package

Utilisez la page Sélectionner le contenu du package de l'Assistant Importer un package d'application pour afficher les composants inclus dans le package que vous avez sélectionné à la page Sélectionner un package.

Les packages peuvent contenir des composants tels que des paramètres du Registre, des objets COM, des assemblys du GAC ou des certificats. Pour installer ces composants sur votre serveur, vous devez être membre du groupe Administrateurs ou disposer de l'autorité appropriée. Il n'est pas nécessaire de disposer des droits d'utilisateur administrateur pour installer uniquement du contenu.

Éléments de l'interface utilisateur

Nom de l'élément Description

Contenu du package

Répertorie les composants inclus dans le package. Vous pouvez spécifier les composants que vous souhaitez déployer à partir du package en activant ou désactivant les cases à cocher appropriées. Par exemple, vous pouvez inclure ou exclure une base de données SQL ou un assembly du GAC en activant ou en désactivant la case à cocher correspondante.

Attention
Certains composants peuvent être requis par l'application. Si vous désactivez les cases à cocher de ces composants, l'application risque de ne pas fonctionner correctement après installation.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Boîte de dialogue Paramètres avancés (Importer)

Utilisez la boîte de dialogue Paramètres avancés de l'Assistant Importer un package d'application pour spécifier les paramètres de votre package.

Éléments de l'interface utilisateur

Options avancées

Nom de l'élément Description

Mot de passe de déchiffrement

Ouvre la boîte de dialogue Mot de passe de déchiffrement qui vous permet de taper le mot de passe requis pour déchiffrer le contenu du package.

Au cours d'une opération d'importation, le déploiement Web détecte automatiquement si un objet chiffré, tel qu'un pool d'applications disposant d'une identité personnalisée, figure dans les fichiers de configuration au niveau du serveur du package (par exemple, ApplicationHost.config ou Machine.config). Si un objet chiffré est détecté, vous devez fournir un mot de passe pour l'objet. Si vous ne donnez pas le mot de passe approprié, l'opération d'importation échoue.

Inclure les listes ACL

Sélectionnez Vrai si les listes ACL du chemin d'accès que vous spécifiez doivent être copiées de la source vers la destination. Autrement, sélectionnez Faux. Ce paramètre s'applique au système de fichiers, au Registre et à la métabase, ainsi qu'aux fournisseurs suivants uniquement : appHostConfig, contentPath, iisApp, metaKey, webServer et webServer60. La valeur par défaut est False.

Extension de lien

Cliquez dans le champ de droite, puis cliquez sur la flèche afin d'afficher la liste déroulante des extensions de liens. Dans cette liste, sélectionnez ou désélectionnez les extensions afin de les activer ou de les désactiver pour l'opération. Les extensions de liens incluent ou excluent des types spécifiques de données dans le cadre d'une opération. Les extensions de déploiement Web disponibles sont AppPoolExtension, CertificateExtension, ContentExtension, FrameworkConfigExtension et HttpCertConfigExtension. Ces extensions sont sélectionnées par défaut. Pour plus d'informations sur les extensions de liens, consultez Extensions de liens de déploiement Web (page éventuellement en anglais).

Nouvelles tentatives

Indiquez le nombre de tentatives que le fournisseur doit mettre en œuvre après un échec. Le nombre par défaut est 5. Par défaut, un délai d'une seconde s'écoule entre chaque nouvelle tentative. Le paramètre des nouvelles tentatives peut uniquement être utilisé avec le fournisseur contentPath.

Intervalle avant nouvelle tentative

Tapez une valeur en millisecondes. Cette valeur indique l'intervalle de temps qui s'écoule entre chaque nouvelle tentative du fournisseur. La valeur par défaut est 1 000 (une seconde). Ce paramètre peut uniquement être utilisé avec le fournisseur contentPath.

Niveau de suivi

Sélectionnez une valeur dans la liste déroulante spécifiant le niveau de détail des journaux de messages d'erreur. Les valeurs possibles sont Off, Erreur, Avertissement, Info et Commentaires. La valeur par défaut est Info. Off signifie qu'aucun message d'erreur n'est consigné. Commentaires signifie que tous les messages d'erreur sont consignés.

Options de synchronisation

Nom de l'élément Description

Règles

Ouvre la boîte de dialogue Activer ou désactiver les règles qui vous permet de spécifier des règles pour l'opération. Pour plus d'informations, consultez Boîte de dialogue Activer ou désactiver les règles.

WhatIf

Cliquez dans la liste déroulante pour sélectionner True ou False. True indique que l'opération sera lancée sans qu'aucun changement ne soit apporté. Vous pouvez utiliser ce paramètre pour visualiser les résultats d'une opération si toutes les parties de cette opération réussissent. La valeur par défaut est False.

Remarque
Une commande qui semble avoir fonctionné sans problème avec le paramètre WhatIf peut échouer lorsqu'elle est exécutée sans le paramètre WhatIf. Ceci peut arriver si des erreurs inattendues se produisent au cours de l'opération. Par exemple, si aucune donné n'est inscrite lors d'une opération WhatIf, aucune erreur d'autorisation d'écriture n'est détectée. Le paramètre WhatIf indique uniquement ce qui se passe si toutes les opérations de la commande réussissent.

Voir aussi

Concepts

Page Sélectionner le contenu du package
Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Page Sélectionner la base de données

Utilisez la page Sélectionner la base de données pour sélectionner les options de base de données à utiliser pour le package que vous êtes en train d'installer. Cette page ne s'affiche que si le package contient plusieurs types de bases de données.

Remarque
Cette page ne s'affichera pas non plus si le package contient plusieurs types de bases de données, mais que vous avez activé une seule case à cocher de type de base de données dans la page Sélectionner le contenu du package.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Sélectionnez la base de données que vous voulez utiliser | Sélectionnez le type de base de données voulu pour votre installation. Les différents types possibles sont SQL, MySQL, VistaDB, SQLite, Fichier plat ou Aucune base de données. Les options de base de données qui s'affichent dépendent du contenu du package que vous installez. Seules les options SQL et MySQL ont des fournisseurs associés. Pour plus d'informations, consultez Fournisseur dbFullSql de déploiement Web (page éventuellement en anglais) et Fournisseur MySQL de déploiement Web (page éventuellement en anglais).
Créer une base de données ou utiliser une base existante | Sélectionnez Créer une base de données pour créer une base de données ou Utiliser une base existante pour en utiliser une qui existe déjà. Cette option est disponible uniquement lorsque le type de base de données choisi est SQL ou MySQL.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site
Page Entrer les informations sur le package d'application


Page Entrer les informations sur le package d'application

Utilisez la page Entrer les informations sur le package d'application de l'Assistant Importer un package d'application pour spécifier des valeurs pour les paramètres qui ont été déclarés dans le package. Chaque paramètre dispose d'un champ sur la page. Les champs figurant sur la page dépendent des paramètres ayant été déclarés dans le package.

Éléments de l'interface utilisateur

Nom de l'élément | Description
<Nom du paramètre> | Spécifiez une valeur pour le paramètre requis pour installer le package. Il peut s'agir du nom complet du chemin d'accès du site souhaité pour l'installation de l'application, des informations d'identification de l'utilisateur ou du nom de la base de données de l'application. Vous pouvez ainsi changer la valeur du chemin d'accès de l'application afin de spécifier l'emplacement d'installation souhaité, par exemple Default Web Site/NewApp.

Voir aussi

Concepts

Boîte de dialogue Modifier la chaîne de connexion


Boîte de dialogue Modifier la chaîne de connexion

Utilisez la boîte de dialogue Modifier la chaîne de connexion pour spécifier la chaîne de connexion et les informations d'identification à utiliser.

Éléments de l'interface utilisateur

Nom de l'élément | Description
SQL Server | Sélectionnez cette option pour utiliser le serveur SQL que vous spécifiez.
Serveur | Tapez le chemin d'accès ou la chaîne de connexion du serveur à utiliser (par exemple, .\SQLExpress).
Base de données | Tapez le nom de la base de données à utiliser (par exemple, Test).
Utiliser la sécurité intégrée de Windows | Sélectionnez cette option pour utiliser la sécurité intégrée de Windows. Cette sécurité transmet les informations d'identification de l'utilisateur à ASP.NET sans nécessiter une nouvelle authentification si l'utilisateur est déjà connecté à Windows. Cette méthode d'authentification fonctionne de façon optimale lorsque le client et le serveur se trouvent dans le même domaine.
Spécifier les informations d'identification | Sélectionnez cette option pour utiliser les informations d'identification spécifiées par l'utilisateur. Cliquez sur Définir pour ouvrir la boîte de dialogue Définir les informations d'identification et spécifier vos nom d'utilisateur et mot de passe.
Personnaliser | Sélectionnez cette option pour spécifier une chaîne de connexion ou un chemin d'accès personnalisé pour le serveur à utiliser (par exemple, Server=.\SQLExpress;Database=Test;Integrated Security=true).

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site
Page Entrer les informations sur le package d'application


Page Remplacer les fichiers existants

Utilisez la page Remplacer les fichiers existants pour décider si vous souhaitez ajouter les nouveaux fichiers à la destination ou remplacer les fichiers existants et supprimer ceux ne disposant pas d'équivalents dans le package d'application.

Éléments de l'interface utilisateur

Nom de l'élément | Description
Non, ajouter les fichiers du package d'application à la destination. | Sélectionnez cette option pour conserver les fichiers existants dans la destination et ajouter les nouveaux fichiers à partir du package d'application.
Oui, supprimer tous les fichiers et dossiers sur la destination qui ne se trouvent pas dans le package d'application. | Sélectionnez cette option pour supprimer les fichiers de la destination qui ne sont pas inclus dans le package d'application.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site


Page Progression de l'installation et résumé

Utilisez la page Progression de l'installation et résumé pour contrôler l'état du processus d'importation et afficher un résumé, ainsi que des informations détaillées sur l'opération une fois l'Assistant terminé.

Éléments de l'interface utilisateur

Nom de l'élément Description

État

La zone État affiche l'opération en cours d'exécution (par exemple, une copie de fichiers ou une opération de script de base de données). Au cours du processus d'importation, vous pouvez être invité à entrer un mot de passe si l'application contient des éléments tels que des mots de passe ou des certificats exigeant un déchiffrement. Sachez que l'opération d'importation peut être longue si le nombre de données est élevé ou si vous importez des données vers ou à partir d'un serveur distant.

Résumé

Propose une vue d'ensemble des actions qui ont été effectuées, y compris les éventuelles erreurs survenues au cours du processus d'installation.

Important
L'onglet Résumé ne contient pas la liste exhaustive des actions réalisées ou des erreurs survenues. Vous trouverez des informations plus détaillées dans l'onglet Détails.

Détails

Fournit la liste détaillée des actions effectuées. Si des erreurs ont eu lieu, le fait de cliquer sur cet onglet permet d'accéder aux informations correspondantes que vous pouvez utiliser dans un objectif de dépannage.

Voir aussi

Concepts

Pages de l'Assistant Importer un package d'application et Importer un package serveur ou de site